Loading...
Searching...
No Matches
ElementDefinition Struct Reference
Collaboration diagram for ElementDefinition:
[legend]

## Public Attributes

const Char * | name
int | namelen
int | tentative
ContentType | type
Char * | content
AttributeDefinition | attributes
struct element_definition * | next

## Detailed Description

Definition at line 111 of file dtd.h.

## Member Data Documentation

## name

const Char* ElementDefinition::name

Definition at line 112 of file dtd.h.

## namelen

int ElementDefinition::namelen

Definition at line 113 of file dtd.h.

## tentative

int ElementDefinition::tentative

Definition at line 114 of file dtd.h.

## type

ContentType ElementDefinition::type

Definition at line 119 of file dtd.h.

## content

Char* ElementDefinition::content

Definition at line 120 of file dtd.h.

## attributes

AttributeDefinition ElementDefinition::attributes

Definition at line 121 of file dtd.h.

## next

struct element_definition* ElementDefinition::next

Definition at line 122 of file dtd.h.

The documentation for this struct was generated from the following file:

- include/rxp/dtd.h